Loading...
Searching...
No Matches
IteratorT< Mesh > Class Template Reference

Linear iterator. More...

`#include <OpenMesh/Mesh/Iterators/IteratorsT.hh>`

## Public Types

typedef TargetType | value_type
typedef TargetHandle | value_handle
typedef value_type & | reference
typedef value_type * | pointer
typedef Mesh * | mesh_ptr
typedef Mesh & | mesh_ref

## Public Member Functions

| IteratorT ()
| Default constructor.
| IteratorT (mesh_ref _mesh, value_handle _hnd, bool _skip=false)
| Construct with mesh and a target handle.
| IteratorT (const IteratorT &_rhs)
| Copy constructor.
IteratorT & | operator= (const IteratorT< Mesh > &_rhs)
| Assignment operator.
reference | operator* () const
| Standard dereferencing operator.
pointer | operator-> () const
| Standard pointer operator.
value_handle | handle () const
| Get the handle of the item the iterator refers to.
| operator value_handle () const
| Cast to the handle of the item the iterator refers to.
bool | operator== (const IteratorT &_rhs) const
| Are two iterators equal? Only valid if they refer to the same mesh!
bool | operator!= (const IteratorT &_rhs) const
| Not equal?
IteratorT & | operator++ ()
| Standard pre-increment operator.
IteratorT & | operator-- ()
| Standard pre-decrement operator.
void | enable_skipping ()
| Turn on skipping: automatically skip deleted/hidden elements.
void | disable_skipping ()
| Turn on skipping: automatically skip deleted/hidden elements.

## Friends

class | ConstIterT< Mesh >

## Detailed Description

template<class Mesh>
class IteratorT< Mesh >

Linear iterator.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/gen/iterators_template.hh